package com.javahonk.solace;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

import com.javahonk.solace.messaging.SolaceOutputAdapter;
import com.javahonk.solace.messaging.SolacePublisherImpl;

public class SolaceApplicationTest {
	
	private static final Logger logger = LogManager.getLogger(SolaceApplicationTest.class.getName());
	
	public static void main(String[] args) {
		
		logger.info("Solace Messaging Middleware started.");
		
		ApplicationContext context = new ClassPathXmlApplicationContext("spring-context.xml");
		
		SolaceOutputAdapter solaceOutputAdapter = (SolaceOutputAdapter) context.getBean(SolaceOutputAdapter.class);
		
		System.out.println(solaceOutputAdapter.isConnected());
		
		System.out.println("Connection info:"+solaceOutputAdapter.getConnectionInfo());
		
		solaceOutputAdapter.sendMessage("Hello from Java Honk");
		
		//By using interface 
		
		SolacePublisherImpl solaceMessagePublisherImpl = (SolacePublisherImpl) context.getBean(SolacePublisherImpl.class);

		solaceMessagePublisherImpl.publishMessage("Hello from Java Honk");		
		
		
		((AbstractApplicationContext) context).close();			
		
	}
}
