package com.javahonk.solace.messaging;

import javax.annotation.Resource;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

public class SolacePublisherImpl implements SolacePublisher{

	@Resource(name="solaceOutputAdapter")
	private SolaceOutputAdapter solaceOutputAdapter;
	
	private static final Logger logger = LogManager.getLogger(SolacePublisherImpl.class.getName());	
	
	@Override
	public void publishMessage(String message) {
		
		logger.info("Connected. About to send message to queue {}",solaceOutputAdapter.getQueue().getName());			
		
		solaceOutputAdapter.sendMessage(message);		
        
		logger.info("Message sent. Exiting.");
		
	}

}
